tt_default_procid_set(library call)

NAME
tt_default_procid_set — set the current default procid

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_default_procid_set(
const char *procid);

DESCRIPTION

The tt_default_procid_set function sets the current default procid.

The procid argument is the name of process that is to be the default process.

RETURN VALUE

Upon successful completion, the tt_default_procid_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_open(3).